﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ResizeGridColsAndRowsWithForm
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: This line of code loads data into the 'nwindDataSet.Customers' table. You can move, or remove it, as needed.
            this.customersTableAdapter.Fill(this.nwindDataSet.Customers);
            this.Resize += new EventHandler(Form1_Resize);
           
        }

        void Form1_Resize(object sender, EventArgs e)
        {
            fpSpread1.Location = new Point(0, 0);
            fpSpread1.Height = (int)(0.8 * this.Height);
            fpSpread1.Width = (int)(0.8 * this.Width);
            int i;
            float dataareawidth;
            float rhwidth = 0;
            float bwidth;
            float vsbwidth;
            float dataareaheight;
            float chheight = 0;
            float hsbheight;
            // Horizontal ScrollBar Height 
            bwidth = (2 * SystemInformation.Border3DSize.Width);
            for (i = 0; (i <= (fpSpread1.Sheets[0].RowHeader.ColumnCount - 1)); i++)
            {
                rhwidth += fpSpread1.Sheets[0].RowHeader.Columns[i].Width;
            }
            vsbwidth = SystemInformation.VerticalScrollBarWidth;
            dataareawidth = (fpSpread1.Width - (bwidth - (rhwidth - vsbwidth)));
            for (i = 0; (i <= 3); i++)
            {
                // Columns 
                fpSpread1.Sheets[0].Columns[i].Width = (dataareawidth / 4);
            }
            for (i = 0; (i <= (fpSpread1.Sheets[0].ColumnHeader.RowCount - 1)); i++)
            {
                chheight += fpSpread1.Sheets[0].ColumnHeader.Rows[i].Height;
            }
            hsbheight = SystemInformation.HorizontalScrollBarHeight;
            dataareaheight = ((float)fpSpread1.Height - (bwidth - (chheight - hsbheight)));
            for (i = 0; (i <= 9); i++)
            {
                // Rows 
                fpSpread1.Sheets[0].Rows[i].Height = (dataareaheight / 10);
            }
        }
    }
}
